List a letter of authority's events Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/addons/pensionlab/letters-of-authority/{letterOfAuthority_uuid}/events

The letter's history: when it was raised, each time signing links were sent, and every update from PensionLab.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • letterOfAuthority_uuid string Required

Query parameters

  • sort string

    Field to sort by. Valid fields are [received_at]. Negative sign to denote DESC. Defaults to '-received_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • type string
      • source string
      • summary string
      • state string
      • details object
        Hide details attribute Show details attribute object
        • previous_state string
      • triggered_by object
        Hide triggered_by attributes Show triggered_by attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

      • received_at string
GET /api/v1/addons/pensionlab/letters-of-authority/{letterOfAuthority_uuid}/events
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/pensionlab/letters-of-authority/6ff8f7f6-1eb3-3525-be4a-3932c805afed/events' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "4726a7e8-decd-438e-899c-69355506533e",
      "type": "loa.signed",
      "source": "webhook",
      "summary": "Jane Smith signed the letter of authority.",
      "state": "signed",
      "details": {
        "previous_state": "created"
      },
      "triggered_by": {
        "uuid": "8342c9ce-4090-4f7c-bb38-4f24a4064588",
        "created_at": "2026-11-03T12:58:18+00:00",
        "updated_at": "2026-11-03T12:58:18+00:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "29b74b3f-b125-492e-812c-304e22e1474c",
          "created_at": "2026-11-03T12:58:23+00:00",
          "updated_at": "2026-11-03T12:58:23+00:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      },
      "received_at": "2026-10-27T09:30:00+00:00"
    }
  ]
}